libxml++ 2.35.3

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
xmlpp::EntityDeclaration Class Reference

Entity declaration. More...

`#include <libxml++/nodes/entitydeclaration.h>`

Inheritance diagram for xmlpp::EntityDeclaration:
[legend]
Collaboration diagram for xmlpp::EntityDeclaration:
[legend]

List of all members.

## Public Member Functions

| EntityDeclaration (_xmlNode* node)
virtual | ~EntityDeclaration ()
Glib::ustring | get_resolved_text () const
| Get the text with character references (like "&#xdf;") resolved.
Glib::ustring | get_original_text () const
| Get the text as read from the XML or DTD file.
_xmlEntity* | cobj ()
| Access the underlying libxml implementation.
const _xmlEntity* | cobj () const
| Access the underlying libxml implementation.

## Detailed Description

Entity declaration.

This will be instantiated by the parser.

Since libxml++ 2.36:

## Constructor & Destructor Documentation

xmlpp::EntityDeclaration::EntityDeclaration | ( | _xmlNode * | node | ) | `[explicit]`

virtual xmlpp::EntityDeclaration::~EntityDeclaration | ( |  | ) | `[virtual]`

## Member Function Documentation

_xmlEntity* xmlpp::EntityDeclaration::cobj | ( |  | ) |

Access the underlying libxml implementation.

Reimplemented from xmlpp::Node.

const _xmlEntity* xmlpp::EntityDeclaration::cobj | ( |  | ) | const

Access the underlying libxml implementation.

Reimplemented from xmlpp::Node.

Glib::ustring xmlpp::EntityDeclaration::get_original_text | ( |  | ) | const

Get the text as read from the XML or DTD file.

Returns:
  The escaped text.

Glib::ustring xmlpp::EntityDeclaration::get_resolved_text | ( |  | ) | const

Get the text with character references (like "&#xdf;") resolved.

If the entity declaration does not contain any reference to another entity, this is the text that an entity reference would have resolved to, if the XML document had been parsed with Parser::set_substitute_entities(true).

Returns:
  The text with character references unescaped.

The documentation for this class was generated from the following file:

- nodes/entitydeclaration.h